LedgerLou Docs ist für Desktop optimiert.

Bitte öffne diese Seite auf einem Gerät mit breiterem Bildschirm.

Journal

Konto hinzufügen

Fügt dem Kontenplan ein neues benutzerdefiniertes Konto hinzu. Systemkonten können nicht dupliziert werden.

POST /v1/accounts
Authorization
Authorization string header erforderlich API-Key im Format ll_.... Übergabe als Bearer Token.
Request Body
number string erforderlich Kontonummer (numerisch, max 8 Stellen)
name string erforderlich Kontobezeichnung (max 255)
type string erforderlich "asset", "liability", "equity", "revenue" oder "expense"
category string optional Kategorie (max 100)
report_group string optional Report-Gruppierung für BWA/Bilanz/GuV-Klassifizierung (max 40). Kanonische Werte: revenue, material_expense, personnel_expense, depreciation, other_opex, cash, receivables, liabilities, etc.
Antworten
201
Erfolgreich
400
INVALID_INPUT Pflichtfelder fehlen oder Werte entsprechen nicht dem erwarteten Format.
409
DUPLICATE_ACCOUNT
POST /v1/accounts
cURL
-cmd">curl --request -method">POST -punct">\
  --url 'https://api.ledgerlou.de/v1/accounts' -punct">\
  --header 'Authorization: Bearer ll_your_key' -punct">\
  --header 'Content-Type: application/json' -punct">\
  --data '{
  "number": "6817",
  "name": "Cloud-Infrastruktur",
  "type": "expense",
  "category": "IT-Kosten",
  "report_group": "other_opex"
}'
201 Response
JSON
{
  "number": "<string>",
  "name": "<string>",
  "type": "<string>",
  "category": "<string>",
  "report_group": "<string>",
  "is_system": true
}